← Tabelle
Vee uit

Ireland

Ulster Senior Cup Group 2

#SpanPWDLPDPtsVorm
1Instonians RFC3300–14WW
2Clogher Valley RFC3201–10WWL
3Ballymena RFC3102–6LLW
4Queen’s University RFC3003–-4LL

Bron: Ulster Rugby · nagegaan 14 Okt. 17:50 · Vorm: die laaste vyf uitslae wat ons het, nuutste regs.

Wedstryde en uitslae →

Elke tabel is die liga se eie gepubliseerde punteleer, met bonuspunte, aftrekkings en gelykopreëls. BP word gewys waar die liga dit publiseer; elders is dit reeds in Pts.